using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
   public interface IFWWindows
    {
        //Find Element 
        void FindElementBy(string name, int repeatingTime = 0);
        void FindAllChildrenBy(string name, int repeatingTime = 0);
        void FindAllDescendentsBy(string name, int repeatingTime = 0);
        void SelectSpecificId(int id);
        string GetElementName(string value, int repeatingTime = 0);
        bool ElementExist(string value, int repeatingTime = 0);
        string GetWindowName(int timing = 0);
        void WindowMaximize();
        void WindowMinimaze();
        bool ElementIsVisible(string value, int repeatingTime = 0);
        bool ElementIsVisible(string value, int id, int repeatingTime = 0);
        double GetHeight();
        double GetWidth();
        void ElementClickBy(string value, int id, int repeatingTime = 0);
        void ElementFindBy(string value, int id, int repeatingTime = 0);
        void ElementDoubleClickBy(string value, int id, int repeatingTime = 0);
        void ElementRightClickBy(string value, int id, int repeatingTime = 0);      
        string GetElementName(string value, int id, int repeatingTime = 0);
    }
}
